Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token_Invariants.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Map_Manager.h"`
`#include "ace/Local_Tokens.h"`

Include dependency graph for Token_Invariants.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Mutex_Invariants
| Mutex Invariants = INVARIANTS 1. Only one owner at a time. More...
class | ACE_RWLock_Invariants
| RWLock Invariants. More...
class | ACE_Token_Invariant_Manager
| Token Invariants. More...

## Detailed Description

Id:
  Token_Invariants.h,v 4.22 2003/08/04 03:53:54 dhinton Exp

Author:
  Tim Harrison (harrison@cs.wustl.edu)

Allows applications to test that invariants are always satisfied. Can test mutexes and readers/writer locks. Does not test recursive acquisition.